Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

My PS3 is connected to the Internet full-time. Up until now, I've been presuming the auto-update on game launch should be keeping me current. But lately, I've become unsure.

UESP seems to indicate that the latest patch for PS3 is 1.3.7.0 (1.3.10 was PC-only).

http://www.uesp.net/wiki/Skyrim:Patch#Version_1.3

But the barely-legible version number on the SYSTEM page of my pause screen seems to indicate 1.3.5.0.

Is there a way to manually force an update check of games on my PS3, outside of the presumed auto-update that should be occurring on game launch?

share|improve this question
    
and if you delete the game data (force the game to reinstall) take care not to delete your save data also ensure the system itself is updated –  ratchet freak Jan 27 '12 at 20:09

2 Answers 2

From my experience update on game launch should keep you update as long as you are sure your connection is not causing any issues with PSN.

If you really want to force it, maybe you could try deleting earlier updates you got for a game. This way when you launch that game again, you will get the latest update from psn. If there are no new updates then it will simply re download the earlier ones. I am not sure how you would do this for games which have never released a patch up to that point.

Since you are asking about all ps3 games in general, I would recommend caution to avoid problems(like incompatible save files maybe?) when deleting the older patches. Also, be careful not to delete your save games during this process.

share|improve this answer
    
Care to add or point to directions for deleting updates, without deleting player data? –  Iszi Jan 27 '12 at 21:37

To my knowledge, 1.4 isn't out yet and when it does come out, it's being released to Xbox first. As I'm still on 1.3 on Xbox, it's safe to say it isn't released yet and your system should be updating appropriately.

share|improve this answer
    
While I appreciate you addressing the Skyrim portion of this question, I left it specifically non-game-specific in the tags because I was hoping for a generic answer that applies to any game. –  Iszi Jan 27 '12 at 19:01
    
Also, I just double-checked my game against info on UESP. It looks like I may indeed be out of date. See my OP update. –  Iszi Jan 27 '12 at 19:10

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.